Subject: [DNSOP] .local

From: SM <[email-masked]>
Date: Wed, 14 Mar 2012 00:14:03 -0700

There is an IESG Note in BCP 44 (RFC 2964) about using .local.  RFC 
6265 obsoleted RFC 2965 which contained a similar note.  Below are a 
reply from an ISP's DNS server for local. :

;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 53996
;; flags: qr aa rd; QUERY: 1, ANSWER: 1, AUTHORITY: 2, ADDITIONAL: 4
;; WARNING: recursion requested but not available

;; QUESTION SECTION:
;local.                         IN      A

;; ANSWER SECTION:
local.                  10800   IN      A      [removed]

Is there any survey about ISP DNS servers returning an answer for such queries?

Regards,
-sm

---

From: SM <[email-masked]>
Date: Wed, 14 Mar 2012 07:16:24 -0700

Hi Simon,
At 01:06 14-03-2012, Simon Josefsson wrote:
>I ran into a related issue recently too, and it appears indeed that the
>problem is widespread.  See:

Thanks for the feedback.

>Btw, I don't see the note about .local in RFC 6265?

In RFC 2965, ".local" is appended to a "dotless" host name.   RFC 
6265 does not contain that text.

Regards,
-sm

---

From: Simon Josefsson <[email-masked]>
Date: Wed, 14 Mar 2012 15:24:09 +0100

(I'm re-sending this e-mail from the proper subscription address, it
seems amsl.com's auto-authorizer doesn't work or is slow.)

https://bugs.launchpad.net/ubuntu/+source/avahi/+bug/327362

At least the following ISPs appears to serve .local zones (although not
necessarily with A records) to their customers:

TeliaSonera (Nordic)
Bredbandsbolaget (Sweden)
True Internet (Thailand)
M1 Home Broadband (Singapore)
Golden Telecom (Russia)
Beeline (Russia)
Corbina (Russia)
New Orleans city wifi

Mac OS X appears to filter out all .local data received via DNS from the
net, see the end of:

https://support.apple.com/kb/TA20999?viewlocale=en_US

Given the widespread damage, I have sympathy for that approach.

/Simon

---

From: Tony Finch <[email-masked]>
Date: Wed, 14 Mar 2012 16:20:46 +0000

SM <[email-masked]> wrote:

> There is an IESG Note in BCP 44 (RFC 2964) about using .local.  RFC 6265
> obsoleted RFC 2965 which contained a similar note.  Below are a reply from an
> ISP's DNS server for local. :
>

That seems rather foolish to me!

On my recursive servers, .local is a locally-served empty zone, to avoid
leakage problems from mDNS names.

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
Shannon: Southerly or southwesterly 5 to 7, but mainly 4 in southeast. Rough.
Rain. Moderate, occasionally poor.